Subject: [SIP] RE: [Sip-implementors] Shouldn't Retry-After be a general header ??

From: Jonathan Rosenberg <[email-masked]>
Date: Tue, 8 May 2001 15:25:52 -0400

(moved to sip)

> -----Original Message-----
> From: Ranjit Avasarala [mailto:[email-masked]]
> Sent: Wednesday, May 16, 2001 1:31 PM
> To: Jonathan Rosenberg
> Cc: [email-masked]
> Subject: Re: [Sip-implementors] Shouldn't Retry-After be a general
> header ??
> 
> 
> Hi Jonathan,
> 
>  So now we should treat Retry-After as response header? be'se 
> i am still I
> am not very clear. Since it appears in REGISTER
> request may be it could be classified as General header.

Right now, the spec is inconsistent. It calls it a response header, but as
currently specified, it can be present in a REGISTER, which would make it a
general header.

My proposed resolution was to deprecate its usage in REGISTER. The reason is
that its another special case, and there are no defined semantics about what
to do when you get it in a request.

-Jonathan R.
---
Jonathan D. Rosenberg, Ph.D.                72 Eagle Rock Ave.
Chief Scientist                             First Floor
dynamicsoft                                 East Hanover, NJ 07936
[email-masked]                     FAX:   (973) 952-5050
http://www.jdrosen.net                      PHONE: (973) 952-5000
http://www.dynamicsoft.com

> 
> ----- Original Message -----
> From: Jonathan Rosenberg <[email-masked]>
> To: <[email-masked]>; Ranjit Avasarala 
> <[email-masked]>;
> <[email-masked]>; Jonathan Rosenberg
> <[email-masked]>
> Sent: Tuesday, May 08, 2001 11:55 AM
> Subject: RE: [Sip-implementors] Shouldn't Retry-After be a 
> general header ??
> 
> 
> 
> 
> 
> 
> > -----Original Message-----
> > From: [email-masked] [mailto:[email-masked]]
> > Sent: Monday, May 07, 2001 11:43 PM
> > To: Ranjit Avasarala; [email-masked];
> > [email-masked]
> > Subject: Re: [Sip-implementors] Shouldn't Retry-After be a general
> > header ??
> >
> >
> > I have the new bis-02 draft (November 24,2000 ; Expires April
> > 2001) and it
> > clearly
> > states (in the above mentioned paragraph) that Retry-After is
> > a *response*
> > header
> > field. Is it that you are referring to a more recent version
> > of the draft
> > where
> > the change was incorporated ?
> 
> The spec is inconsistent. Everything does say its a response 
> header, except
> this little tidbit about using it in REGISTER request. It is 
> my preference
> to delete this text on usage in REGISTER. Its yet another 
> exception, yet
> another special case. I'd rather avoid that. I don't think anyone has
> implemented it, nor is it clear what the precise semantics are for the
> server receiving the REGISTER. So what if they are available 
> again in an
> hour? Does this mean the contact is re-instated automatically?
> 
> >
> > While we are at it, i would like to raise another general query :
> > Quite often on the list issues are raised, and finally resolved with
> > Jonathan/Henning mentioning that they have added a
> > line/remark clearing
> > the same in the draft. Similarly, the new record-route text
> > was brought up,
> > discussed and issues were resolved. What i want to know is
> > whether there
> > is some kind of online version of the draft that is
> > constantly updated with
> > these changes/new texts so that it makes our task as
> > implementors easy when
> > we are faced with the same issues.
> 
> I wish it were that simple. There is a working document in 
> latex, edited by
> Henning and myself. Sometimes we update it immediately with 
> resolutions to
> issues, sometimes I make a note to myself in an 
> increasingly-long to-do
> document. We are trying to automate this through the 
> establishment of a bug
> tracking system, which would allow queries to be made, and 
> searches to be
> done, against open issues. Thats currently in progress.
> 
> -Jonathan R.
> 
> ---
> Jonathan D. Rosenberg, Ph.D.                72 Eagle Rock Ave.
> Chief Scientist                             First Floor
> dynamicsoft                                 East Hanover, NJ 07936
> [email-masked]                     FAX:   (973) 952-5050
> http://www.jdrosen.net                      PHONE: (973) 952-5000
> http://www.dynamicsoft.com
> 

_______________________________________________
This list is for continuing development of the SIP protocol.
The sip-implementor's list is the place to discuss implementation,
and to receive advice on understanding existing sip.
To subscribe to it, send mail to 
[email-masked] with "subscribe" in the body.